<?php
class wsBANGUATExec
{
	var $classQuery;
	var $conn;
	
	var $errno = '';
	var $error = '';

	function __construct() {
	}

	// INSERTAR (INSERT) CON EXCEPCION
	function sEx() {
		$xml = '<?xml version="1.0" encoding="utf-8"?>
		<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
		  <soap:Body>
		    <TipoCambioDia xmlns="http://www.banguat.gob.gt/variables/ws/" />
		  </soap:Body>
		</soap:Envelope>';

		return wsBANGUATExec::ex($xml);
	}

	private function ex($xml) {
		// La URL a la que desea enviar su XML. (The URL that you want to send your XML to.)
		$url = 'http://www.banguat.gob.gt/variables/ws/TipoCambio.asmx';

		//Iniciar cURL (Initiate cURL)
		$curl = curl_init($url);

		// Establecer el Tipo de contenido en text / xml. (Set the Content-Type to text/xml.)
		curl_setopt ($curl, CURLOPT_HTTPHEADER, array("Content-Type: text/xml"));

		// Establecer CURLOPT_POST en verdadero para enviar una solicitud POST. (Set CURLOPT_POST to true to send a POST request.)
		curl_setopt($curl, CURLOPT_POST, true);

		// Adjunte la cadena XML al cuerpo de nuestra solicitud. (Attach the XML string to the body of our request.)
		curl_setopt($curl, CURLOPT_POSTFIELDS, $xml);

		// Dígale a cURL que queremos que la respuesta se devuelva como una cadena en lugar de ser volcada a la salida. (Tell cURL that we want the response to be returned as a string instead of being dumped to the output.)
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

		// Ejecute la solicitud POST y envíe nuestro XML. (Execute the POST request and send our XML.)
		$soapResp = curl_exec($curl);

		// Haga una comprobación básica de errores. (Do some basic error checking.)
		if(curl_errno($curl)){
		    throw new Exception(curl_error($curl));
		}

		// Cierre la manija de cURL. (Close the cURL handle.)
		curl_close($curl);

		$sxe = new SimpleXMLElement($soapResp);
		$r = $sxe->xpath('//soap:Body');

		return $r;
	}
}
?>